diff -uNrd ircd-hybrid-6.dist/src/s_conf.c ircd-hybrid-6/src/s_conf.c
--- ircd-hybrid-6.dist/src/s_conf.c	Mon Oct  1 10:29:46 2001
+++ ircd-hybrid-6/src/s_conf.c	Tue Oct  2 23:05:14 2001
@@ -2710,6 +2710,11 @@
                   tmp_list_ptr = last_list_ptr->next = kill_list_ptr->next;
                 }
 
+              /* Alert opers that a TKline expired - Hwy */
+              sendto_realops("Temporary K-line for [%s@%s] expired",
+                             (kill_list_ptr->user) ? kill_list_ptr->user : "*",
+                             (kill_list_ptr->host) ? kill_list_ptr->host : "*");
+
               free_conf(kill_list_ptr);
               kill_list_ptr = tmp_list_ptr;
             }
@@ -2745,6 +2750,11 @@
                   tmp_list_ptr = last_list_ptr->next = kill_list_ptr->next;
                 }
 
+              /* Alert opers that a TKline expired - Hwy */
+              sendto_realops("Temporary K-line for [%s@%s] expired",
+                             (kill_list_ptr->user) ? kill_list_ptr->user : "*",
+                             (kill_list_ptr->host) ? kill_list_ptr->host : "*");
+
               free_conf(kill_list_ptr);
               kill_list_ptr = tmp_list_ptr;
             }
@@ -2928,6 +2938,11 @@
               /* its in the middle of the list, so link around it */
               tmp_list_ptr = last_list_ptr->next = kill_list_ptr->next;
             }
+
+          /* Alert opers that a TKline expired - Hwy */
+          sendto_realops("Temporary K-line for [%s@%s] expired",
+                         (kill_list_ptr->user) ? kill_list_ptr->user : "*",
+                         (kill_list_ptr->host) ? kill_list_ptr->host : "*");
 
           free_conf(kill_list_ptr);
           kill_list_ptr = tmp_list_ptr;
